/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-1999 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: TextBrowserPage.h,v 2.2 1999/10/16 01:49:51 jeff Exp $

*******************************************************************************/


#ifndef TextBrowserPage_included
#define TextBrowserPage_included

#include "TextBrowserPageData.h"

class DlgWidget;

class TextBrowserPage : public TextBrowserPageData
{
    Q_OBJECT

public:

    TextBrowserPage
    (
	DlgWidget* widget,
        QWidget* parent = NULL,
        const char* name = NULL
    );

    virtual ~TextBrowserPage();

public slots:

    void UseTextOrSource( bool );

    void Apply( DlgWidget*      widget );
    // apply changes to the widget

};
#endif // TextBrowserPage_included
